// Native app calls

function closeWelcomeWindow() {
	try {
		webkit.messageHandlers.closeWelcomeWindow.postMessage("Close the welcome window");
	} catch(err) {
	   console.log("The native context does not exist yet");
	}
}

// Slider calls

var offset = 0;
var lastPage = 4

function nextPage(button) {
	_prenav();
	offset += 1;
	_navigate();
}

function previousPage(button) {
	_prenav();
	offset -= 1;
	_navigate();
}

function _prenav() {
	document.getElementById("d" + (offset)).className = "dot";
}

function _navigate() {
	if (offset == lastPage) {
		closeWelcomeWindow();
		return;
	}
	
	document.getElementById("d" + (offset)).className = "dot active";
	
	if (offset == 0) {
		document.getElementById("prevBtn").style.visibility = "hidden";
	} else {
		document.getElementById("prevBtn").style.visibility = "visible";
	}
	
	var pages = document.getElementById("pages");
	pages.style.webkitTransform = "translateX(" + (offset * -760) + "px)";
	if (offset == lastPage-1) {
		document.getElementById("continueBtn").innerText = "Finish";
	} else {
		document.getElementById("continueBtn").innerText = "Continue";
	}
}
